# Makefile.in generated by automake 1.11.6 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

#####################################################################
# Gem/Base Base-classes for Pd-objectclasses
#####################################################################

# check for forgotten sources
# include this makefile snippet in your Makefile.am and it will print-out a list
# of all .cpp and .h files that have been forgotten to be added to DIST_SOURCES


VPATH = @srcdir@
am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
DIST_COMMON = $(libBase_la_include_HEADERS) \
	$(srcdir)/../check-sources.mk $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
subdir = src/Base
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_gl.m4 \
	$(top_srcdir)/m4/ax_check_glu.m4 \
	$(top_srcdir)/m4/ax_check_glut.m4 \
	$(top_srcdir)/m4/ax_compiler_vendor.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/gem.m4 \
	$(top_srcdir)/m4/iem_ftgl.m4 $(top_srcdir)/m4/iem_opengl.m4 \
	$(top_srcdir)/m4/iem_operatingsystem.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
am__DEPENDENCIES_1 =
libBase_la_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_libBase_la_OBJECTS = libBase_la-CPPExtern.lo libBase_la-GemBase.lo \
	libBase_la-GemContext.lo libBase_la-GemGluObj.lo \
	libBase_la-GemPathBase.lo libBase_la-GemPixDualObj.lo \
	libBase_la-GemPixObj.lo libBase_la-GemShape.lo \
	libBase_la-GemVertex.lo libBase_la-GemWinCreateMac.lo \
	libBase_la-GemWinCreateNT.lo libBase_la-GemWinCreateXWin.lo \
	libBase_la-GemWindow.lo libBase_la-TextBase.lo
libBase_la_OBJECTS = $(am_libBase_la_OBJECTS)
libBase_la_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(libBase_la_CXXFLAGS) \
	$(CXXFLAGS) $(libBase_la_LDFLAGS) $(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libBase_la_SOURCES)
DIST_SOURCES = $(libBase_la_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libBase_la_includedir)"
HEADERS = $(libBase_la_include_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AGL_CFLAGS = @AGL_CFLAGS@
AGL_LIBS = @AGL_LIBS@
AMTAR = @AMTAR@
AR = @AR@
AS = @AS@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFINES = @DEFINES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
EXT = @EXT@
FGREP = @FGREP@
GEM_ARCH_CXXFLAGS = @GEM_ARCH_CXXFLAGS@
GEM_ARCH_LDFLAGS = @GEM_ARCH_LDFLAGS@
GEM_CFLAGS = @GEM_CFLAGS@
GEM_CPPFLAGS = @GEM_CPPFLAGS@
GEM_CXXFLAGS = @GEM_CXXFLAGS@
GEM_DEFAULT_WINDOW = @GEM_DEFAULT_WINDOW@
GEM_EXTERNAL_CFLAGS = @GEM_EXTERNAL_CFLAGS@
GEM_EXTERNAL_CPPFLAGS = @GEM_EXTERNAL_CPPFLAGS@
GEM_EXTERNAL_LIBS = @GEM_EXTERNAL_LIBS@
GEM_FRAMEWORK_AGL = @GEM_FRAMEWORK_AGL@
GEM_FRAMEWORK_CARBON = @GEM_FRAMEWORK_CARBON@
GEM_FRAMEWORK_COCOA = @GEM_FRAMEWORK_COCOA@
GEM_FRAMEWORK_QUICKTIME = @GEM_FRAMEWORK_QUICKTIME@
GEM_LIBS = @GEM_LIBS@
GEM_LIB_ASSIMP_CFLAGS = @GEM_LIB_ASSIMP_CFLAGS@
GEM_LIB_ASSIMP_LIBS = @GEM_LIB_ASSIMP_LIBS@
GEM_LIB_AVIFILE_CFLAGS = @GEM_LIB_AVIFILE_CFLAGS@
GEM_LIB_AVIFILE_LIBS = @GEM_LIB_AVIFILE_LIBS@
GEM_LIB_FRIBIDI_CFLAGS = @GEM_LIB_FRIBIDI_CFLAGS@
GEM_LIB_FRIBIDI_LIBS = @GEM_LIB_FRIBIDI_LIBS@
GEM_LIB_FTGL_CFLAGS = @GEM_LIB_FTGL_CFLAGS@
GEM_LIB_FTGL_LIBS = @GEM_LIB_FTGL_LIBS@
GEM_LIB_GLEW_CFLAGS = @GEM_LIB_GLEW_CFLAGS@
GEM_LIB_GLEW_LIBS = @GEM_LIB_GLEW_LIBS@
GEM_LIB_GMERLIN_AVDEC_CFLAGS = @GEM_LIB_GMERLIN_AVDEC_CFLAGS@
GEM_LIB_GMERLIN_AVDEC_LIBS = @GEM_LIB_GMERLIN_AVDEC_LIBS@
GEM_LIB_IMAGEMAGICK___CFLAGS = @GEM_LIB_IMAGEMAGICK___CFLAGS@
GEM_LIB_IMAGEMAGICK___LIBS = @GEM_LIB_IMAGEMAGICK___LIBS@
GEM_LIB_JPEG_CFLAGS = @GEM_LIB_JPEG_CFLAGS@
GEM_LIB_JPEG_LIBS = @GEM_LIB_JPEG_LIBS@
GEM_LIB_LIBDC1394_2_CFLAGS = @GEM_LIB_LIBDC1394_2_CFLAGS@
GEM_LIB_LIBDC1394_2_LIBS = @GEM_LIB_LIBDC1394_2_LIBS@
GEM_LIB_LIBDV_CFLAGS = @GEM_LIB_LIBDV_CFLAGS@
GEM_LIB_LIBDV_LIBS = @GEM_LIB_LIBDV_LIBS@
GEM_LIB_LIBIEC61883_CFLAGS = @GEM_LIB_LIBIEC61883_CFLAGS@
GEM_LIB_LIBIEC61883_LIBS = @GEM_LIB_LIBIEC61883_LIBS@
GEM_LIB_LIBMPEG3_CFLAGS = @GEM_LIB_LIBMPEG3_CFLAGS@
GEM_LIB_LIBMPEG3_LIBS = @GEM_LIB_LIBMPEG3_LIBS@
GEM_LIB_LIBQUICKTIME_CFLAGS = @GEM_LIB_LIBQUICKTIME_CFLAGS@
GEM_LIB_LIBQUICKTIME_LIBS = @GEM_LIB_LIBQUICKTIME_LIBS@
GEM_LIB_LIBRAW1394_CFLAGS = @GEM_LIB_LIBRAW1394_CFLAGS@
GEM_LIB_LIBRAW1394_LIBS = @GEM_LIB_LIBRAW1394_LIBS@
GEM_LIB_LIBUNICAP_CFLAGS = @GEM_LIB_LIBUNICAP_CFLAGS@
GEM_LIB_LIBUNICAP_LIBS = @GEM_LIB_LIBUNICAP_LIBS@
GEM_LIB_LIBV4L1_CFLAGS = @GEM_LIB_LIBV4L1_CFLAGS@
GEM_LIB_LIBV4L1_LIBS = @GEM_LIB_LIBV4L1_LIBS@
GEM_LIB_LIBV4L2_CFLAGS = @GEM_LIB_LIBV4L2_CFLAGS@
GEM_LIB_LIBV4L2_LIBS = @GEM_LIB_LIBV4L2_LIBS@
GEM_LIB_LIBVLC_CFLAGS = @GEM_LIB_LIBVLC_CFLAGS@
GEM_LIB_LIBVLC_LIBS = @GEM_LIB_LIBVLC_LIBS@
GEM_LIB_LQT_CFLAGS = @GEM_LIB_LQT_CFLAGS@
GEM_LIB_LQT_LIBS = @GEM_LIB_LQT_LIBS@
GEM_LIB_MAGICKCORE_CFLAGS = @GEM_LIB_MAGICKCORE_CFLAGS@
GEM_LIB_MAGICKCORE_LIBS = @GEM_LIB_MAGICKCORE_LIBS@
GEM_LIB_MPEG_CFLAGS = @GEM_LIB_MPEG_CFLAGS@
GEM_LIB_MPEG_LIBS = @GEM_LIB_MPEG_LIBS@
GEM_LIB_SDL_CFLAGS = @GEM_LIB_SDL_CFLAGS@
GEM_LIB_SDL_LIBS = @GEM_LIB_SDL_LIBS@
GEM_LIB_TIFF_CFLAGS = @GEM_LIB_TIFF_CFLAGS@
GEM_LIB_TIFF_LIBS = @GEM_LIB_TIFF_LIBS@
GEM_LIB_VFW32_CFLAGS = @GEM_LIB_VFW32_CFLAGS@
GEM_LIB_VFW32_LIBS = @GEM_LIB_VFW32_LIBS@
GEM_PTHREAD_CFLAGS = @GEM_PTHREAD_CFLAGS@
GEM_PTHREAD_LIBS = @GEM_PTHREAD_LIBS@
GEM_RTE = @GEM_RTE@
GEM_RTE_CFLAGS = @GEM_RTE_CFLAGS@
GEM_RTE_EXTENSION = @GEM_RTE_EXTENSION@
GEM_RTE_LIBS = @GEM_RTE_LIBS@
GEM_TARGETS = @GEM_TARGETS@
GLUT_CFLAGS = @GLUT_CFLAGS@
GLUT_LIBS = @GLUT_LIBS@
GLU_CFLAGS = @GLU_CFLAGS@
GLU_LIBS = @GLU_LIBS@
GLX_CFLAGS = @GLX_CFLAGS@
GLX_LIBS = @GLX_LIBS@
GL_CFLAGS = @GL_CFLAGS@
GL_LIBS = @GL_LIBS@
GREP = @GREP@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEDEP_FLAGS = @MAKEDEP_FLAGS@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
NM = @NM@
NMEDIT = @NMEDIT@
OBJC = @OBJC@
OBJCDEPMODE = @OBJCDEPMODE@
OBJCFLAGS = @OBJCFLAGS@
OBJCXX = @OBJCXX@
OBJCXXFLAGS = @OBJCXXFLAGS@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_ASSIMP_CFLAGS = @PKG_ASSIMP_CFLAGS@
PKG_ASSIMP_LIBS = @PKG_ASSIMP_LIBS@
PKG_AVIFILE_CFLAGS = @PKG_AVIFILE_CFLAGS@
PKG_AVIFILE_LIBS = @PKG_AVIFILE_LIBS@
PKG_CFLAGS = @PKG_CFLAGS@
PKG_CONFIG = @PKG_CONFIG@
PKG_FRIBIDI_CFLAGS = @PKG_FRIBIDI_CFLAGS@
PKG_FRIBIDI_LIBS = @PKG_FRIBIDI_LIBS@
PKG_FTGL_CFLAGS = @PKG_FTGL_CFLAGS@
PKG_FTGL_LIBS = @PKG_FTGL_LIBS@
PKG_GLEW_CFLAGS = @PKG_GLEW_CFLAGS@
PKG_GLEW_LIBS = @PKG_GLEW_LIBS@
PKG_GMERLIN_AVDEC_CFLAGS = @PKG_GMERLIN_AVDEC_CFLAGS@
PKG_GMERLIN_AVDEC_LIBS = @PKG_GMERLIN_AVDEC_LIBS@
PKG_IMAGEMAGICK___CFLAGS = @PKG_IMAGEMAGICK___CFLAGS@
PKG_IMAGEMAGICK___LIBS = @PKG_IMAGEMAGICK___LIBS@
PKG_JPEG_CFLAGS = @PKG_JPEG_CFLAGS@
PKG_JPEG_LIBS = @PKG_JPEG_LIBS@
PKG_LIBDC1394_2_CFLAGS = @PKG_LIBDC1394_2_CFLAGS@
PKG_LIBDC1394_2_LIBS = @PKG_LIBDC1394_2_LIBS@
PKG_LIBDV_CFLAGS = @PKG_LIBDV_CFLAGS@
PKG_LIBDV_LIBS = @PKG_LIBDV_LIBS@
PKG_LIBIEC61883_CFLAGS = @PKG_LIBIEC61883_CFLAGS@
PKG_LIBIEC61883_LIBS = @PKG_LIBIEC61883_LIBS@
PKG_LIBMPEG3_CFLAGS = @PKG_LIBMPEG3_CFLAGS@
PKG_LIBMPEG3_LIBS = @PKG_LIBMPEG3_LIBS@
PKG_LIBQUICKTIME_CFLAGS = @PKG_LIBQUICKTIME_CFLAGS@
PKG_LIBQUICKTIME_LIBS = @PKG_LIBQUICKTIME_LIBS@
PKG_LIBRAW1394_CFLAGS = @PKG_LIBRAW1394_CFLAGS@
PKG_LIBRAW1394_LIBS = @PKG_LIBRAW1394_LIBS@
PKG_LIBS = @PKG_LIBS@
PKG_LIBUNICAP_CFLAGS = @PKG_LIBUNICAP_CFLAGS@
PKG_LIBUNICAP_LIBS = @PKG_LIBUNICAP_LIBS@
PKG_LIBV4L1_CFLAGS = @PKG_LIBV4L1_CFLAGS@
PKG_LIBV4L1_LIBS = @PKG_LIBV4L1_LIBS@
PKG_LIBV4L2_CFLAGS = @PKG_LIBV4L2_CFLAGS@
PKG_LIBV4L2_LIBS = @PKG_LIBV4L2_LIBS@
PKG_LIBVLC_CFLAGS = @PKG_LIBVLC_CFLAGS@
PKG_LIBVLC_LIBS = @PKG_LIBVLC_LIBS@
PKG_LQT_CFLAGS = @PKG_LQT_CFLAGS@
PKG_LQT_LIBS = @PKG_LQT_LIBS@
PKG_MAGICKCORE_CFLAGS = @PKG_MAGICKCORE_CFLAGS@
PKG_MAGICKCORE_LIBS = @PKG_MAGICKCORE_LIBS@
PKG_MPEG_CFLAGS = @PKG_MPEG_CFLAGS@
PKG_MPEG_LIBS = @PKG_MPEG_LIBS@
PKG_SDL_CFLAGS = @PKG_SDL_CFLAGS@
PKG_SDL_LIBS = @PKG_SDL_LIBS@
PKG_TIFF_CFLAGS = @PKG_TIFF_CFLAGS@
PKG_TIFF_LIBS = @PKG_TIFF_LIBS@
PKG_VFW32_CFLAGS = @PKG_VFW32_CFLAGS@
PKG_VFW32_LIBS = @PKG_VFW32_LIBS@
PTHREAD_CC = @PTHREAD_CC@
PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
PTHREAD_LIBS = @PTHREAD_LIBS@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
XMKMF = @XMKMF@
X_CFLAGS = @X_CFLAGS@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_LIBS = @X_LIBS@
X_PRE_LIBS = @X_PRE_LIBS@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
ac_ct_OBJC = @ac_ct_OBJC@
ac_ct_OBJCXX = @ac_ct_OBJCXX@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
ax_pthread_config = @ax_pthread_config@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
subdirs = @subdirs@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
AUTOMAKE_OPTIONS = foreign
AM_CPPFLAGS = -I$(top_srcdir)/src @GEM_CPPFLAGS@
_check_sources_all = $(wildcard *.cpp *.h)
_check_sources_unused = $(filter-out $(DIST_SOURCES) $(CHECKUNUSED_IGNORE), $(_check_sources_all))
noinst_LTLIBRARIES = libBase.la

# RTE flags

# X

# openGL

# GLEW

# FTGL
libBase_la_CXXFLAGS = @GEM_RTE_CFLAGS@ @GEM_ARCH_CXXFLAGS@ $(X_CFLAGS) \
	@GLX_CFLAGS@ @GEM_LIB_GLEW_CFLAGS@ @GEM_LIB_FTGL_CFLAGS@ \
	$(am__empty)
libBase_la_LIBADD = @GEM_RTE_LIBS@ $(X_PRE_LIBS) $(X_LIBS) \
	$(X_EXTRA_LIBS) @GLX_LIBS@ @GEM_LIB_GLEW_LIBS@ \
	@GEM_LIB_FTGL_LIBS@ $(am__empty)
libBase_la_LDFLAGS = @GEM_ARCH_LDFLAGS@
libBase_la_includedir = $(includedir)/Gem/Base
libBase_la_include_HEADERS = CPPExtern.h GemBase.h GemGLBase.h \
	GemGluObj.h GemPathBase.h GemPixObj.h GemPixDualObj.h \
	GemShape.h TextBase.h GemWindow.h GemContext.h
libBase_la_SOURCES = \
    CPPExtern.cpp \
    CPPExtern.h \
    GemBase.cpp \
    GemBase.h \
    GemGLBase.h \
    GemContext.cpp \
    GemContext.h \
    GemGluObj.cpp \
    GemGluObj.h \
    GemPathBase.cpp \
    GemPathBase.h \
    GemPixDualObj.cpp \
    GemPixDualObj.h \
    GemPixObj.cpp \
    GemPixObj.h \
    GemShape.cpp \
    GemShape.h \
    GemVertex.cpp \
    GemVertex.h \
    GemWinCreate.h \
    GemWinCreateMac.cpp \
    GemWinCreateNT.cpp \
    GemWinCreateXWin.cpp \
    GemWindow.cpp \
    GemWindow.h \
    TextBase.cpp \
    TextBase.h

all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/../check-sources.mk $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/Base/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign src/Base/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;
$(srcdir)/../check-sources.mk:

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libBase.la: $(libBase_la_OBJECTS) $(libBase_la_DEPENDENCIES) $(EXTRA_libBase_la_DEPENDENCIES) 
	$(libBase_la_LINK)  $(libBase_la_OBJECTS) $(libBase_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libBase_la-CPPExtern.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libBase_la-GemBase.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libBase_la-GemContext.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libBase_la-GemGluObj.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libBase_la-GemPathBase.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libBase_la-GemPixDualObj.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libBase_la-GemPixObj.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libBase_la-GemShape.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libBase_la-GemVertex.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libBase_la-GemWinCreateMac.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libBase_la-GemWinCreateNT.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libBase_la-GemWinCreateXWin.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libBase_la-GemWindow.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libBase_la-TextBase.Plo@am__quote@

.cpp.o:
@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<

libBase_la-CPPExtern.lo: CPPExtern.cpp
@am__fastdepCXX_TRUE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -MT libBase_la-CPPExtern.lo -MD -MP -MF $(DEPDIR)/libBase_la-CPPExtern.Tpo -c -o libBase_la-CPPExtern.lo `test -f 'CPPExtern.cpp' || echo '$(srcdir)/'`CPPExtern.cpp
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/libBase_la-CPPExtern.Tpo $(DEPDIR)/libBase_la-CPPExtern.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='CPPExtern.cpp' object='libBase_la-CPPExtern.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -c -o libBase_la-CPPExtern.lo `test -f 'CPPExtern.cpp' || echo '$(srcdir)/'`CPPExtern.cpp

libBase_la-GemBase.lo: GemBase.cpp
@am__fastdepCXX_TRUE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -MT libBase_la-GemBase.lo -MD -MP -MF $(DEPDIR)/libBase_la-GemBase.Tpo -c -o libBase_la-GemBase.lo `test -f 'GemBase.cpp' || echo '$(srcdir)/'`GemBase.cpp
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/libBase_la-GemBase.Tpo $(DEPDIR)/libBase_la-GemBase.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='GemBase.cpp' object='libBase_la-GemBase.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -c -o libBase_la-GemBase.lo `test -f 'GemBase.cpp' || echo '$(srcdir)/'`GemBase.cpp

libBase_la-GemContext.lo: GemContext.cpp
@am__fastdepCXX_TRUE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -MT libBase_la-GemContext.lo -MD -MP -MF $(DEPDIR)/libBase_la-GemContext.Tpo -c -o libBase_la-GemContext.lo `test -f 'GemContext.cpp' || echo '$(srcdir)/'`GemContext.cpp
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/libBase_la-GemContext.Tpo $(DEPDIR)/libBase_la-GemContext.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='GemContext.cpp' object='libBase_la-GemContext.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -c -o libBase_la-GemContext.lo `test -f 'GemContext.cpp' || echo '$(srcdir)/'`GemContext.cpp

libBase_la-GemGluObj.lo: GemGluObj.cpp
@am__fastdepCXX_TRUE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -MT libBase_la-GemGluObj.lo -MD -MP -MF $(DEPDIR)/libBase_la-GemGluObj.Tpo -c -o libBase_la-GemGluObj.lo `test -f 'GemGluObj.cpp' || echo '$(srcdir)/'`GemGluObj.cpp
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/libBase_la-GemGluObj.Tpo $(DEPDIR)/libBase_la-GemGluObj.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='GemGluObj.cpp' object='libBase_la-GemGluObj.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -c -o libBase_la-GemGluObj.lo `test -f 'GemGluObj.cpp' || echo '$(srcdir)/'`GemGluObj.cpp

libBase_la-GemPathBase.lo: GemPathBase.cpp
@am__fastdepCXX_TRUE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -MT libBase_la-GemPathBase.lo -MD -MP -MF $(DEPDIR)/libBase_la-GemPathBase.Tpo -c -o libBase_la-GemPathBase.lo `test -f 'GemPathBase.cpp' || echo '$(srcdir)/'`GemPathBase.cpp
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/libBase_la-GemPathBase.Tpo $(DEPDIR)/libBase_la-GemPathBase.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='GemPathBase.cpp' object='libBase_la-GemPathBase.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -c -o libBase_la-GemPathBase.lo `test -f 'GemPathBase.cpp' || echo '$(srcdir)/'`GemPathBase.cpp

libBase_la-GemPixDualObj.lo: GemPixDualObj.cpp
@am__fastdepCXX_TRUE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -MT libBase_la-GemPixDualObj.lo -MD -MP -MF $(DEPDIR)/libBase_la-GemPixDualObj.Tpo -c -o libBase_la-GemPixDualObj.lo `test -f 'GemPixDualObj.cpp' || echo '$(srcdir)/'`GemPixDualObj.cpp
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/libBase_la-GemPixDualObj.Tpo $(DEPDIR)/libBase_la-GemPixDualObj.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='GemPixDualObj.cpp' object='libBase_la-GemPixDualObj.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -c -o libBase_la-GemPixDualObj.lo `test -f 'GemPixDualObj.cpp' || echo '$(srcdir)/'`GemPixDualObj.cpp

libBase_la-GemPixObj.lo: GemPixObj.cpp
@am__fastdepCXX_TRUE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -MT libBase_la-GemPixObj.lo -MD -MP -MF $(DEPDIR)/libBase_la-GemPixObj.Tpo -c -o libBase_la-GemPixObj.lo `test -f 'GemPixObj.cpp' || echo '$(srcdir)/'`GemPixObj.cpp
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/libBase_la-GemPixObj.Tpo $(DEPDIR)/libBase_la-GemPixObj.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='GemPixObj.cpp' object='libBase_la-GemPixObj.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -c -o libBase_la-GemPixObj.lo `test -f 'GemPixObj.cpp' || echo '$(srcdir)/'`GemPixObj.cpp

libBase_la-GemShape.lo: GemShape.cpp
@am__fastdepCXX_TRUE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -MT libBase_la-GemShape.lo -MD -MP -MF $(DEPDIR)/libBase_la-GemShape.Tpo -c -o libBase_la-GemShape.lo `test -f 'GemShape.cpp' || echo '$(srcdir)/'`GemShape.cpp
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/libBase_la-GemShape.Tpo $(DEPDIR)/libBase_la-GemShape.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='GemShape.cpp' object='libBase_la-GemShape.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -c -o libBase_la-GemShape.lo `test -f 'GemShape.cpp' || echo '$(srcdir)/'`GemShape.cpp

libBase_la-GemVertex.lo: GemVertex.cpp
@am__fastdepCXX_TRUE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -MT libBase_la-GemVertex.lo -MD -MP -MF $(DEPDIR)/libBase_la-GemVertex.Tpo -c -o libBase_la-GemVertex.lo `test -f 'GemVertex.cpp' || echo '$(srcdir)/'`GemVertex.cpp
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/libBase_la-GemVertex.Tpo $(DEPDIR)/libBase_la-GemVertex.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='GemVertex.cpp' object='libBase_la-GemVertex.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -c -o libBase_la-GemVertex.lo `test -f 'GemVertex.cpp' || echo '$(srcdir)/'`GemVertex.cpp

libBase_la-GemWinCreateMac.lo: GemWinCreateMac.cpp
@am__fastdepCXX_TRUE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -MT libBase_la-GemWinCreateMac.lo -MD -MP -MF $(DEPDIR)/libBase_la-GemWinCreateMac.Tpo -c -o libBase_la-GemWinCreateMac.lo `test -f 'GemWinCreateMac.cpp' || echo '$(srcdir)/'`GemWinCreateMac.cpp
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/libBase_la-GemWinCreateMac.Tpo $(DEPDIR)/libBase_la-GemWinCreateMac.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='GemWinCreateMac.cpp' object='libBase_la-GemWinCreateMac.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -c -o libBase_la-GemWinCreateMac.lo `test -f 'GemWinCreateMac.cpp' || echo '$(srcdir)/'`GemWinCreateMac.cpp

libBase_la-GemWinCreateNT.lo: GemWinCreateNT.cpp
@am__fastdepCXX_TRUE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -MT libBase_la-GemWinCreateNT.lo -MD -MP -MF $(DEPDIR)/libBase_la-GemWinCreateNT.Tpo -c -o libBase_la-GemWinCreateNT.lo `test -f 'GemWinCreateNT.cpp' || echo '$(srcdir)/'`GemWinCreateNT.cpp
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/libBase_la-GemWinCreateNT.Tpo $(DEPDIR)/libBase_la-GemWinCreateNT.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='GemWinCreateNT.cpp' object='libBase_la-GemWinCreateNT.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -c -o libBase_la-GemWinCreateNT.lo `test -f 'GemWinCreateNT.cpp' || echo '$(srcdir)/'`GemWinCreateNT.cpp

libBase_la-GemWinCreateXWin.lo: GemWinCreateXWin.cpp
@am__fastdepCXX_TRUE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -MT libBase_la-GemWinCreateXWin.lo -MD -MP -MF $(DEPDIR)/libBase_la-GemWinCreateXWin.Tpo -c -o libBase_la-GemWinCreateXWin.lo `test -f 'GemWinCreateXWin.cpp' || echo '$(srcdir)/'`GemWinCreateXWin.cpp
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/libBase_la-GemWinCreateXWin.Tpo $(DEPDIR)/libBase_la-GemWinCreateXWin.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='GemWinCreateXWin.cpp' object='libBase_la-GemWinCreateXWin.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -c -o libBase_la-GemWinCreateXWin.lo `test -f 'GemWinCreateXWin.cpp' || echo '$(srcdir)/'`GemWinCreateXWin.cpp

libBase_la-GemWindow.lo: GemWindow.cpp
@am__fastdepCXX_TRUE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -MT libBase_la-GemWindow.lo -MD -MP -MF $(DEPDIR)/libBase_la-GemWindow.Tpo -c -o libBase_la-GemWindow.lo `test -f 'GemWindow.cpp' || echo '$(srcdir)/'`GemWindow.cpp
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/libBase_la-GemWindow.Tpo $(DEPDIR)/libBase_la-GemWindow.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='GemWindow.cpp' object='libBase_la-GemWindow.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -c -o libBase_la-GemWindow.lo `test -f 'GemWindow.cpp' || echo '$(srcdir)/'`GemWindow.cpp

libBase_la-TextBase.lo: TextBase.cpp
@am__fastdepCXX_TRUE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -MT libBase_la-TextBase.lo -MD -MP -MF $(DEPDIR)/libBase_la-TextBase.Tpo -c -o libBase_la-TextBase.lo `test -f 'TextBase.cpp' || echo '$(srcdir)/'`TextBase.cpp
@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/libBase_la-TextBase.Tpo $(DEPDIR)/libBase_la-TextBase.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='TextBase.cpp' object='libBase_la-TextBase.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libBase_la_CXXFLAGS) $(CXXFLAGS) -c -o libBase_la-TextBase.lo `test -f 'TextBase.cpp' || echo '$(srcdir)/'`TextBase.cpp

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-libBase_la_includeHEADERS: $(libBase_la_include_HEADERS)
	@$(NORMAL_INSTALL)
	@list='$(libBase_la_include_HEADERS)'; test -n "$(libBase_la_includedir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libBase_la_includedir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libBase_la_includedir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libBase_la_includedir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(libBase_la_includedir)" || exit $$?; \
	done

uninstall-libBase_la_includeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(libBase_la_include_HEADERS)'; test -n "$(libBase_la_includedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(libBase_la_includedir)'; $(am__uninstall_files_from_dir)

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LTLIBRARIES) $(HEADERS) all-local
installdirs:
	for dir in "$(DESTDIR)$(libBase_la_includedir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-libBase_la_includeHEADERS

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-libBase_la_includeHEADERS

.MAKE: install-am install-strip

.PHONY: CTAGS GTAGS all all-am all-local check check-am clean \
	clean-generic clean-libtool clean-noinstLTLIBRARIES ctags \
	distclean distclean-compile distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am install-info \
	install-info-am install-libBase_la_includeHEADERS install-man \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
	pdf pdf-am ps ps-am tags uninstall uninstall-am \
	uninstall-libBase_la_includeHEADERS


.PHONY: check-sources

all-local:: check-sources

check-sources: 
	@echo "UNUSED SOURCES: $(_check_sources_unused)"

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
